routes/web.php
    Route::post('/dang-nhap', 'IndexController@postLogin')->name('home.post-login');

    Route::get('/logout', 'IndexController@postLogout')->name('home.logout');

    Route::post('/quen-mat-khau', 'IndexController@getForgotPassword')->name('home.quen-mat-khau');

    Route::get('/resetPassword/{token}', 'IndexController@resetPassword')->name('home.resetPassword');

    Route::post('/new-password', 'IndexController@newPassword')->name('home.new-password');

    /*  Quản lý tài khoản  */
    Route::group(['middleware' => 'customer_auth'], function () {
        // Đăng nhập thành công
        Route::get('/san-pham', 'ProductsController@listProducts')->name('home.list-products');

        Route::post('add-cart', 'ProductsController@postAddCart')->name('home.post-add-cart');

        Route::get('get-add-cart', 'ProductsController@getAddCart')->name('home.get-add-cart');

        Route::get('gio-hang', 'ProductsController@gioHang')->name('home.gio-hang');

        Route::get('update-giohang', 'ProductsController@getUpdateCart')->name('home.update-giohang');

        Route::get('remove-card', 'ProductsController@getRemoveCart')->name('home.remove-card');

        Route::get('destroy-card', 'ProductsController@cartDestroy')->name('home.destroy-card');
        /*  Quản lý tài khoản  */
        Route::get('thong-tin-tai-khoan', 'ManagerAccountController@thongTinTaiKhoan')->name('home.thong-tin-tai-khoan');

        Route::post('cap-nhap-tai-khoan', 'ManagerAccountController@postUpdateAccount')->name('home.cap-nhap-tai-khoan');

        Route::post('cap-nhap-mat-khau', 'ManagerAccountController@postUpdatePassword')->name('home.cap-nhap-mat-khau');

        Route::get('tai-khoan-ngan-hang', 'ManagerAccountController@bankAccount')->name('home.tai-khoan-ngan-hang');

        Route::post('cap-nhap-tai-khoan-ngan-hang', 'ManagerAccountController@postBankAccount')->name('home.cap-nhap-tai-khoan-ngan-hang');

        Route::get('nap-tien', 'ManagerAccountController@napTien')->name('home.nap-tien');

        Route::post('post-nap-tien', 'ManagerAccountController@postNapTien')->name('home.post-nap-tien');

        Route::get('lich-su-giao-dich', 'ManagerAccountController@TransactionHistory')->name('home.lich-su-giao-dich');

        Route::get('/export','ManagerAccountController@export_Lichsu_Giaodich')->name('home.export-giaodich');

        Route::get('dat-hang','ManagerAccountController@datHang')->name('home.dat-hang');

        Route::get('lich-su-mua-hang','ManagerAccountController@lichSuMuaHang')->name('home.lich-su-mua-hang');

        Route::get('lich-su-mua-hang-dlcd','ManagerAccountController@lichSuMuaHangDaiLyCapDuoi')->name('home.lich-su-mua-hang-dlcd');

        Route::get('quan-ly-dai-ly','ManagerAccountController@quanLyDaiLy')->name('home.quan-ly-dai-ly');


        Route::get('doanh-thu','ManagerAccountController@doanh_Thu')->name('home.doanh-thu');

        Route::get('dang-ky-mua-hang','ManagerAccountController@dang_Ky_Mua_Hang')->name('home.dang-ky-mua-hang');

        
    });
    Route::get('chi-tiet-daily/{id}','ManagerAccountController@chi_Tiet_Dai_Ly')->name('home.chi-tiet-daily');

    Route::get('chi-tiet-don-hang/{id}','ManagerAccountController@chiTietDonHang')->name('home.chi-tiet-don-hang');

    Route::get('chi-tiet-daily-f1/{id}','ManagerAccountController@chi_Tiet_Dai_Ly_F1')->name('backend.chi-tiet-daily');

});


Route::group(['namespace' => 'Admin'], function () {

    Route::group(['prefix' => 'backend', 'middleware' => 'auth'], function () {
        Route::get('/home', 'HomeController@index')->name('backend.home');

        Route::resource('users', 'UserController', ['except' => [
            'show'
        ]]);

        Route::resource('image', 'ImageController', ['except' => [
            'show'
        ]]);
        Route::post('image/postMultiDel', ['as' => 'image.postMultiDel', 'uses' => 'ImageController@deleteMuti']);

        // tuyển dụng
        Route::resource('recruitment', 'RecruitmentController', ['except' => ['show']]);
        Route::post('recruitment/postMultiDel', ['as' => 'recruitment.postMultiDel', 'uses' => 'RecruitmentController@deleteMuti']);
        Route::get('recruitment/get-slug', 'RecruitmentController@getAjaxSlug')->name('recruitment.get-slug');

        // Bài viết
        Route::resource('posts', 'PostController', ['except' => ['show']]);
        Route::post('posts/postMultiDel', ['as' => 'posts.postMultiDel', 'uses' => 'PostController@deleteMuti']);
        Route::get('posts/get-slug', 'PostController@getAjaxSlug')->name('posts.get-slug');

        // Ảnh
        Route::resource('picture', 'PictureController', ['except' => ['show']]);
        Route::post('picture/postMultiDel', ['as' => 'picture.postMultiDel', 'uses' => 'PictureController@deleteMuti']);

        // Video
        Route::resource('video', 'VideoController', ['except' => ['show']]);
        Route::post('video/postMultiDel', ['as' => 'video.postMultiDel', 'uses' => 'VideoController@deleteMuti']);
        Route::get('video/get-slug', 'VideoController@getAjaxSlug')->name('video.get-slug');

        /*Danh mục sản phẩm*/
        Route::resource('category', 'CategoriesController', ['except' => ['show']]);
        
        /*Danh sách sản phẩm*/
        Route::resource('products', 'ProductsController', ['except' => ['show']]);
        Route::post('products/postMultiDel', ['as' => 'products.postMultiDel', 'uses' => 'ProductsController@deleteMuti']);
        Route::get('products/get-slug', 'ProductsController@getAjaxSlug')->name('products.get-slug');

        /*  Quản lý doanh thu  */
        Route::resource('orders', 'OrdersController', ['except' => ['show']]);

        Route::get('xac-nhan-don-hang', 'OrdersController@xacNhanDonHang')->name('orders.xac-nhan');

        Route::get('doanh-thu', 'OrdersController@doanhThu')->name('orders.doanh-thu');

        Route::get('chi-tiet-don-hang/{id}','OrdersController@chiTietDonHang')->name('orders.chi-tiet-don-hang');
        
        // Route::get('tao-don-hang-thu-cong', 'OrdersController@taoDonHangThuCong')->name('orders.tao-don-hang-thu-cong');
        // Route::post('post-check-user', 'OrdersController@postCheckUser')->name('orders.post-check-user');

        Route::get('get-products', 'OrdersController@getProducts')->name('orders.get-products');

        Route::get('tao-don-hang', 'OrdersController@createOrder')->name('orders.tao-don-hang');

        Route::post('post-tao-don-hang-thu-cong', 'OrdersController@postTaoDonHangThuCong')->name('orders.post-tao-don-hang-thu-cong');




        Route::get('bang-luong', 'MemberController@bang_Luong')->name('orders.bang-luong');

        Route::post('xuat-bang-luong', 'MemberController@export_Bang_Luong')->name('orders.export-bang-luong');

        Route::get('chi-tiet-luong/{id}', 'MemberController@chi_Tiet_Luong')->name('orders.chi-tiet-luong');
        Route::post('xac-nhan-luong', 'MemberController@xac_Nhan_Luong')->name('orders.xac-nhan-luong');
        /*  Quản lý nạp tiền  */
        Route::resource('recharge', 'RechargeController', ['except' => ['show']]);
        Route::post('recharge/postMultiDel', ['as' => 'recharge.postMultiDel', 'uses' => 'RechargeController@deleteMuti']);
        Route::get('recharge/update-money', ['as' => 'recharge.update-money', 'uses' => 'RechargeController@update_Money']);
        Route::get('recharge/xac-nhan', ['as' => 'recharge.xac-nhan', 'uses' => 'RechargeController@xac_nhan_chuyen_tien']);

        /*  Quản lý thành viên  */
        Route::resource('member', 'MemberController', ['except' => ['show']]);
        Route::get('member/lock/{id}', 'MemberController@lockMember')->name('member.lock');
        Route::get('member/unlock/{id}', 'MemberController@unlocklockMember')->name('member.unlock');
        Route::get('member/filterdate', 'MemberController@filterDate')->name('member.filterdate');
        Route::get('member/rank', 'MemberController@rankMember')->name('member.rank');
        Route::get('member/rank/add', 'MemberController@addRankMember')->name('member.addrank');
        Route::post('member/rank/postadd', 'MemberController@postAddRankMember')->name('member.postaddrank');
        Route::get('member/xac-nhan/{id}', 'MemberController@member_Xacnhan')->name('member.xac-nhan');

        Route::post('member/cap-nhap-mat-khau', 'MemberController@update_Password')->name('member.cap-nhap-mat-khau');

        Route::get('member/dai-ly-cap-duoi/{id}', 'MemberController@dai_Ly_Cap_Duoi')->name('member.dai-ly-cap-duoi');

        Route::get('member/detail/{id}', 'MemberController@member_Detail')->name('member.detail');

        Route::post('member/cap-nhap-cap-bac/{id}', 'MemberController@update_Rank')->name('member.update-rank');

        Route::post('member/export', 'MemberController@export_member')->name('member.export');

        Route::get('chi-tiet-don-hang/{id}','MemberController@chiTietDonHang')->name('home.chi-tiet-don-hang');

        Route::get('chiet-khau-tu-don-hang/{id}','MemberController@chietKhauDonHang')->name('member.chiet-khau-tu-don-hang');



        /*  Quản lý doanh thu  */
        Route::resource('config', 'ConfigController', ['except' => ['show']]);

        Route::get('config/quyen-loi', 'ConfigController@lisQuyenLoi')->name('config.quyenloi');

        Route::post('config/updatequyen-loi', 'ConfigController@updateQuyenloi')->name('config.update-quyenloi');

        Route::resource('banks', 'BanksController', ['except' => ['show']]);

        // Đơn ứng tuyển
        Route::group(['prefix' => 'apply-job'], function() {
            Route::get('/', ['as' => 'get.list.job', 'uses' => 'ApplyJobController@getList']);
            Route::get('edit/{id}', ['as' => 'get.edit.job', 'uses' => 'ApplyJobController@getEdit']);
            Route::post('edit/{id}', ['as' => 'post.edit.job', 'uses' => 'ApplyJobController@postEdit']);
            Route::post('/delete-muti', ['as' => 'apply-job.postMultiDel', 'uses' => 'ApplyJobController@postDeleteMuti']);

app/Models/Order.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Order extends Model
{
    protected $table = 'orders';
    
    protected $fillable = [ 'mavd','tongtien','id_member','ngay_giaodich','mentor','code','id_status'];
}

resources/views/backend/orders/ajax-append-product.blade.php

<tr class="parent-orders">

    <td>

        <div class="product-box">

            <div class="product-image">

                <a href="#">

                    <img src="{{url('/')}}/public/backend/img/placeholder.png" style="max-width: 100px; max-height: 100px; width: 100%; height: 100%;">

                </a>

            </div>

            <div class="product-content">

                <h4 class="product-name">

                    <a href="#" class="product-link">Chọn sản phẩm</a>

                </h4>

            </div>  

        </div>

    </td>

    <td>

        <div class="product-prices">

            <span class="price">{{number_format(0, 0, '.', '.')}}vnđ</span>

        </div>

    </td>

    <td>
        <div class="qty">

            <button class="btn icon-minus icon-minus-pre"><i class="far fa-minus icon"></i></button>

            <input class="product-qty" type="number" onkeypress="return (event.charCode == 8 || event.charCode == 0 || event.charCode == 13) ? null : event.charCode >= 48 && event.charCode <= 57" min="1" name="product_qty" value="1">

            <button class="btn icon-minus icon-minus-next"><i class="far fa-plus icon"></i></button>

        </div>

    </td>

    <td>

        <div class="product-prices">

            <span class="price-total cartitem-price">{{number_format(0, 0, '.', '.')}}vnđ</span>

        </div>

    </td>

    <td>    

        <a href="" class="delete delete-product">

            <i class="far fa-trash-alt icon"></i>

            <span>Xóa</span>

        </a>

    </td>

</tr>

resources/views/backend/orders/doanh-thu.blade.php
<?php 
    $month = date('m');
    $year = date('yy');
    $start_format = '01-'.$month.'-'.$year;
    $start_date = request()->startdate ? request()->startdate : $start_format;
    $end_date = request()->enddate ? request()->enddate : '';
?>
@extends('backend.layouts.app')
@section('controller','Lịch sử nhận hoa hồng')
@section('action','Danh sách')
@section('controller_route', route('orders.doanh-thu'))
@section('content')
<style type="text/css" media="screen">
    .products-table {

        width: 100%;

    }

    .products-table td, .products-table th {

        padding: 15px;

        text-align: center;

        color: #333;

        vertical-align: middle;

    }
</style>
    <div class="content">
        <div class="clearfix"></div>
        <div class="box box-primary">
            <div class="box-body">
                @include('flash::message')
                <!-- <div class="btnAdd">
                    <a href="{{ route('users.create') }}">
                        <fa class="btn btn-primary"><i class="fa fa-plus"></i> Thêm thành viên</fa>
                    </a>
                </div> -->
                <div class="col-sm-2" style="padding: 5px">                 
                    <label for="">Ngày tạo</label>              
                </div>
                <div class='col-sm-3'>
                    <div class="form-group">
                        <div class='input-group date' id='datetimepicker1'>
                            <label class="input-group-addon" for="startDate">
                                Từ ngày
                            </label>
                            <input type='text' value="{{@$start_date}}" class="form-control" readonly id="startDate" name="startDate" placeholder="Từ ngày" />
                            <label class="input-group-addon" for="startDate">
                                <span class="glyphicon glyphicon-calendar"></span>
                            </label>
                        </div>
                    </div>
                </div>
                <div class='col-sm-3'>
                    <div class="form-group">
                        <div class='input-group date' id='datetimepicker2'>
                            <label class="input-group-addon" for="endDate">
                                Đến ngày
                            </label>
                            <input type='text' class="form-control" value="{{@$end_date}}" readonly placeholder="Đến ngày" id="endDate" name="endDate"/>
                            <label class="input-group-addon" for="endDate">
                                <span class="glyphicon glyphicon-calendar"></span>
                            </label>
                            <label id="reset-time" class="input-group-addon">
                                <span class="glyphicon glyphicon-remove"></span>
                            </label>
                        </div>
                    </div>
                </div>
                <div class="col-sm-4">
                    <button type="submit" style="padding: 6px 12px;font-size: 13px" class="btn btn-sm btn-success" id="filter_date" data-href="{{route('orders.doanh-thu')}}">Tìm</button>
                </div>
                <table id="table-ajax" class="table table-bordered table-striped text-center">
                    <thead>
                        <tr>
                            <th>STT</th>
                            <th>Người nhận</th>
                            <th>ID</th>
                            <th>Mã đơn hàng</th>
                            <th>Tổng tiền</th>
                            <th>Phần trăm</th>
                            <th>Số tiền hoa hồng</th>
                            <th>Ngày nhận</th>
                            <th>Note</th>
                        </tr>
                    </thead>
                    <tbody>
                        
                    </tbody>
                </table>
           </div>
        </div>
    </div>

    <div class="art-popups art-popups-code-orders">

        <div class="popups-box">

            <div class="popups-content">

                <div class="popup-content active">

                <div class="title-box title-popup">

                    <h3 class="title text-center"><span class="header-text">{{ trans('message.don_hang') }}</span></h3>

                </div>

                <div class="popup-content">

                    <div class="products-content">

                        <div class="table-content order-detail-content text-center">

                            

                        </div>

                    </div>

                </div>

                </div>

            </div>

        </div>

    </div>
    <input type="hidden" value="{{url('/')}}" id="url-website" name="">
    @section('scripts')
    <script>
        jQuery(document).ready(function ($) {
            var t = $('#table-ajax').DataTable({
                processing: true,
                serverSide: true,
                ajax: {
                    url: '{!! route('orders.doanh-thu') !!}',
                    type: 'GET',
                    data: function (d) {
                      // read start date from the element
                      d.start_date = $('#startDate').val();
                      // read end date from the element
                      d.end_date = $('#endDate').val();
                      // d.code = $('#code').val();
                    }
                },
                pageLength: 25,
                columns: [
                    {data: 'checkbox', name: 'checkbox'},
                    // {data: 'DT_RowIndex',name: 'DT_RowIndex'},
                    {data: 'name_nguoinhan', name: 'name_nguoinhan'},
                    {data: 'user_name', name: 'user_name'},
                    {data: 'mavd', name: 'mavd'},
                    {data: 'tongtien', name: 'tongtien'},
                    {data: 'phan_tram', name: 'phan_tram'},
                    {data: 'money', name: 'money'},
                    {data: 'ngay_nhan', name: 'ngay_nhan'},
                    {data: 'name_status', name: 'name_status'},

                ],

                'columnDefs': [{
                    'targets': [0, 1],
                    'orderable': false,
                    'searchable': false,
                }],
                language: {
                    "sProcessing": "Đang xử lý...",
                    "sLengthMenu": "Xem _MENU_ mục",
                    "sZeroRecords": "Không tìm thấy dòng nào phù hợp",
                    "sInfo": "Đang xem _START_ đến _END_ trong tổng số _TOTAL_ mục",
                    "sInfoEmpty": "Đang xem 0 đến 0 trong tổng số 0 mục",
                    "sInfoFiltered": "(được lọc từ _MAX_ mục)",
                    "sInfoPostFix": "",
                    "sSearch": "Tìm:",
                    "sUrl": "",
                    "oPaginate": {
                        "sFirst": "Đầu",
                        "sPrevious": "Trước",
                        "sNext": "Tiếp",
                        "sLast": "Cuối"
                    }
                }
            });
            t.on( 'order.dt search.dt', function () {
        t.column(0, {search:'applied', order:'applied'}).nodes().each( function (cell, i) {
            cell.innerHTML = i+1;
        } );
    } ).draw();
        });
    </script>
    <script type="text/javascript">
        $('#reset-time').on('click',function (e) {
            $('#startDate').val('');
            $('#endDate').val('');
        })
        var bindDateRangeValidation = function (f, s, e) {
        if(!(f instanceof jQuery)){
                console.log("Not passing a jQuery object");
        }
      
        var jqForm = f,
            startDateId = s,
            endDateId = e;
      
        var checkDateRange = function (startDate, endDate) {
            var isValid = (startDate != "" && endDate != "") ? startDate <= endDate : true;
            return isValid;
        }

        var bindValidator = function () {
            var bstpValidate = jqForm.data('bootstrapValidator');
            var validateFields = {
                startDate: {
                    validators: {
                        notEmpty: { message: 'This field is required.' },
                        callback: {
                            message: 'Start Date must less than or equal to End Date.',
                            callback: function (startDate, validator, $field) {
                                return checkDateRange(startDate, $('#' + endDateId).val())
                            }
                        }
                    }
                },
                endDate: {
                    validators: {
                        notEmpty: { message: 'This field is required.' },
                        callback: {
                            message: 'End Date must greater than or equal to Start Date.',
                            callback: function (endDate, validator, $field) {
                                return checkDateRange($('#' + startDateId).val(), endDate);
                            }
                        }
                    }
                },
                customize: {
                    validators: {
                        customize: { message: 'customize.' }
                    }
                }
            }
            if (!bstpValidate) {
                jqForm.bootstrapValidator({
                    excluded: [':disabled'], 
                })
            }
          
            jqForm.bootstrapValidator('addField', startDateId, validateFields.startDate);
            jqForm.bootstrapValidator('addField', endDateId, validateFields.endDate);
          
        };

        var hookValidatorEvt = function () {
            var dateBlur = function (e, bundleDateId, action) {
                jqForm.bootstrapValidator('revalidateField', e.target.id);
            }

            $('#' + startDateId).on("dp.change dp.update blur", function (e) {
                $('#' + endDateId).data("DateTimePicker").setMinDate(e.date);
                dateBlur(e, endDateId);
            });

            $('#' + endDateId).on("dp.change dp.update blur", function (e) {
                $('#' + startDateId).data("DateTimePicker").setMaxDate(e.date);
                dateBlur(e, startDateId);
            });
        }

        bindValidator();
        hookValidatorEvt();
    };


    $(function () {
        var sd = @if($start_date !='') '{{$start_date}}' @else new Date() @endif;
        var ed = new Date();
      
        $('#startDate').datetimepicker({ 
          pickTime: false, 
          format: "DD-MM-YYYY", 
          // defaultDate: @if(@$stdf) '{{@$stdf}}' @else sd @endif, 
          maxDate: ed 
        });
      
        $('#endDate').datetimepicker({ 
          pickTime: false, 
          format: "DD-MM-YYYY", 
          // defaultDate: @if(@$endf) '{{@$endf}}' @else ed @endif,
          minDate: sd 
        });

        //passing 1.jquery form object, 2.start date dom Id, 3.end date dom Id
        bindDateRangeValidation($("#form"), 'startDate', 'endDate');
    });
    $('#filter_date').on('click',function(){
        var url = $(this).data('href');
        var startdate = $('#startDate').val();
        var enddate = $('#endDate').val();

        window.location.href = url+'?startdate='+startdate+'&enddate='+enddate;
    });
    $(document).on('click','.code-orders',function(e){


        e.preventDefault();

        var id_order = $(this).data('id');

        var url_browse = $('#url-website').val();

        $('.order-detail-content').html('<img src="'+url_browse+'/public/images/loader.gif'+'">');

        var hw = $(window).height();

        var hlg = $('.popup-content').height();

        var hpcs = parseInt(hlg) + 60;



        if (hpcs > hw) {

            $('.popups-box').css({'height': hw - 30, 'top': '0'});

        } else {

            $('.popups-box').css({'height': 'auto', 'top': 'auto'});

        }


        $('.header-text').html('Chi tiết đơn hàng');

        $('.art-popups-code-orders').addClass('active');

        $.ajax({

            url: url_browse+'/backend/chi-tiet-don-hang/'+id_order,

            type:'GET',

            success: function(data) {

                $('.order-detail-content').html(data);

            }

        });

        

    });
    </script>
    @endsection
@stop

resources/views/backend/orders/list.blade.php
<?php 
    $status = request()->status ? request()->status : 1;

    $month = request()->month && request()->month !='' ? request()->month : now()->month;

    $year = request()->year && request()->year !='' ? request()->year : now()->year;
?>
@extends('backend.layouts.app')
@section('controller', $module['name'] )
@section('controller_route', route($module['module'].'.index'))
@section('action', 'Danh sách')
@section('content')
<style type="text/css" media="screen">
    .dataTables_empty{
        text-align: center
    }
</style>
    <div class="content">
        <div class="clearfix"></div>
        <div class="box box-primary">
            <div class="box-body">
                @include('flash::message')
                <div style="font-size: 18px;display: inline-flex">
                    <div id="orer-by-time">
                        
                        <label style="margin-right: 10px">Năm:

                            <select id="yearSelector" class="get-year">
                                
                                @for($i=2019;$i<=now()->year;$i++)
                                    <option value="{{$i}}" @if($year == $i) selected="selected" @endif>{{$i}}</option>
                                @endfor

                            </select>

                        </label>

                        <label>Tháng:

                            <select id="monthSelector" class="get-month">

                                @for($i=01;$i<13;$i++)

                                @if($i < 10)

                                <option value="0{{$i}}" @if($month==$i) selected @endif>{{$i}}</option>

                                @else

                                <option value="{{$i}}" @if($month==$i) selected @endif>{{$i}}</option>

                                @endif

                              @endfor

                            </select>

                        </label>
                    </div>

                    <div id="orer-by-status" style="margin-left: 50px">
                        <label>Trạng thái:
                            <select name="status">
                                <option @if($status ==1) selected @endif value="1">Chờ duyệt</option>
                                <option @if($status ==2) selected @endif value="2">Thành công</option>
                                <option @if($status ==3) selected @endif value="3">Đã hủy</option>
                            </select>
                        </label>
                    </div>

                </div>

                </br>

                
                <form action="" method="POST">
                    <input type="hidden" name="_token" value="{!! csrf_token() !!}">
                    <input type="hidden" id="url_orders" value="{{route('orders.index')}}">
                    <table id="table-ajax" class="table table-bordered table-striped text-center">
                        <thead>
                            <tr>
                                <th></th>
                                <th>STT</th>
                                <th>Người mua</th>
                                <th>ID</th>
                                <th>Thành tiền</th>
                                <th>Ngày mua</th>
                                <th>Trạng thái</th>
                                <th>Thao tác</th>
                            </tr>
                        </thead>
                        <tbody>
                            
                        </tbody>
                    </table>
                </form>
            </div>
        </div>
    </div>
    <script>
        jQuery(document).ready(function ($) {
            $('#table-ajax').DataTable({
                processing: true,
                serverSide: true,
                ajax: {
                    url: '{!! route('orders.index') !!}',
                    type: 'GET',
                    data: function (d) {
                      // read start date from the element
                      
                       
                      d.month = $('.get-month').val();
                      // read end date from the element
                      d.year = $('.get-year').val();

                      d.status =  $('select[name="status"]').val();
                    }
                },
                // "paging": false,
                pageLength: 25,
                columns: [
                    {data: 'checkbox', name: 'checkbox'},
                    {data: 'DT_RowIndex',name: 'DT_RowIndex'},
                    {data: 'full_name', name: 'full_name'},
                    {data: 'user_name', name: 'user_name'},
                    {data: 'tongtien', name: 'tongtien'},
                    {data: 'ngay_giaodich', name: 'ngay_giaodich'},
                    {data: 'id_status', name: 'id_status'},
                    {data: 'action', name: 'action'},

                ],
                'columnDefs': [{
                    'targets': [0, 1],
                    'orderable': false,
                    'searchable': false,
                }],
                language: {
                    "sProcessing": "Đang xử lý...",
                    "sLengthMenu": "Xem _MENU_ mục",
                    "sZeroRecords": "Không tìm thấy đơn hàng nào.",
                    "sInfo": "Đang xem _START_ đến _END_ trong tổng số _TOTAL_ mục",
                    "sInfoEmpty": "Đang xem 0 đến 0 trong tổng số 0 mục",
                    "sInfoFiltered": "(được lọc từ _MAX_ mục)",
                    "sInfoPostFix": "",
                    "sSearch": "Tìm:",
                    "sUrl": "",
                    "oPaginate": {
                        "sFirst": "Đầu",
                        "sPrevious": "Trước",
                        "sNext": "Tiếp",
                        "sLast": "Cuối"
                    }
                }
            });
        });
        $('#orer-by-time select').change(function () {

            var url = $('#url_orders').val();

            var month = $(this).val();

            var year = $('.get-year').val();

            // var month = $('.get-month').val();

            var status = $('select[name="status"]').val();

            window.location.href = url+'?year='+year+'&month='+month+'&status='+status;

        });

        $('#orer-by-status select').change(function () {

            var url = $('#url_orders').val();

            var month = $('.get-month').val();

            var year = $('.get-year').val();

            // var month = $('.get-month').val();

            var status = $(this).val();

            window.location.href = url+'?year='+year+'&month='+month+'&status='+status;

        });
    </script>
@stop